Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject
Interface MetaProject

All Known Implementing Classes:
  MetaProjectImpl

    public interface MetaProject

Method Summary
`Group` | `createGroup(String name)`
`GroupOperation` | `createGroupOperation()`
`Operation` | `createOperation(String name)`
`ProjectInstance` | `createProject(String name)`
`PropertyValue` | `createPropertyValue()`
`PropertyValue` | `createPropertyValue(String propertyName, String propertyValue)`
`ServerInstance` | `createServer(String name)`
`User` | `createUser(String name, String password)`
`void` | `dispose()`
`Group` | `getGroup(String name)`
`Set<GroupOperation>` | `getGroupOperations()`
`Set<Group>` | `getGroups()`
`Operation` | `getOperation(String name)`
`Set<Operation>` | `getOperations()`
`Policy` | `getPolicy()`
`ProjectInstance` | `getProject(String name)`
`Set<ProjectInstance>` | `getProjects()`
`Collection<PropertyValue>` | `getPropertyValues(String propertyName, String propertyValue)`
`Set<ServerInstance>` | `getServers()`
`User` | `getUser(String name)`
`Set<User>` | `getUsers()`
`boolean` | `save(Collection errors)`

Method Detail

### getProjects

    Set<ProjectInstance> getProjects()

### getProject

    ProjectInstance getProject(String name)

### createProject

    ProjectInstance createProject(String name)

### getUsers

    Set<User> getUsers()

### getUser

    User getUser(String name)

### createUser

    User createUser(String name,
                    String password)

### getOperations

    Set<Operation> getOperations()

### getOperation

    Operation getOperation(String name)

### createOperation

    Operation createOperation(String name)

### getGroups

    Set<Group> getGroups()

### getGroup

    Group getGroup(String name)

### createGroup

    Group createGroup(String name)

### getGroupOperations

    Set<GroupOperation> getGroupOperations()

### createGroupOperation

    GroupOperation createGroupOperation()

### getPolicy

    Policy getPolicy()

### getServers

    Set<ServerInstance> getServers()

### createServer

    ServerInstance createServer(String name)

### getPropertyValues

    Collection<PropertyValue> getPropertyValues(String propertyName,
                                                String propertyValue)

### createPropertyValue

    PropertyValue createPropertyValue()

### createPropertyValue

    PropertyValue createPropertyValue(String propertyName,
                                      String propertyValue)

### save

    boolean save(Collection errors)

### dispose

    void dispose()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.